Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.base
Class JRBaseCellContents

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementGroup
          net.sf.jasperreports.crosstabs.base.JRBaseCellContents

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCellContents, JRBoxContainer, JRChild, JRCloneable, JRElementGroup, JRStyleContainer, JRVisitable

    public class JRBaseCellContents

extends JRBaseElementGroup
implements JRCellContents

Base read-only implementation of `JRCellContents`.

Version:
  $Id: JRBaseCellContents.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.awt.Color` | `backcolor`
`protected JRDefaultStyleProvider` | `defaultStyleProvider`
`protected int` | `height`
`protected JRLineBox` | `lineBox`
`protected ModeEnum` | `modeValue`
`protected JRStyle` | `style`
`protected java.lang.String` | `styleNameReference`
`protected int` | `width`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`children, elementGroup`

Fields inherited from interface net.sf.jasperreports.crosstabs.JRCellContents
`NOT_CALCULATED, POSITION_X_CENTER, POSITION_X_LEFT, POSITION_X_RIGHT, POSITION_X_STRETCH, POSITION_Y_BOTTOM, POSITION_Y_MIDDLE, POSITION_Y_STRETCH, POSITION_Y_TOP, PROPERTIES_PREFIX, PROPERTY_COLUMN_SPAN, PROPERTY_ROW_SPAN, PROPERTY_TYPE, TYPE_COLUMN_HEADER, TYPE_CROSSTAB_HEADER, TYPE_DATA, TYPE_NO_DATA_CELL, TYPE_ROW_HEADER`

Constructor Summary
`JRBaseCellContents(JRCellContents cell, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`java.awt.Color` | `getBackcolor()` Returns the cell background color.
`JRBox` | `getBox()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getDefaultLineColor()`
`JRDefaultStyleProvider` | `getDefaultStyleProvider()`
`int` | `getHeight()` Returns the computed cell height.
`JRLineBox` | `getLineBox()`
`java.lang.Byte` | `getMode()` Deprecated. Replaced by `getModeValue()`.
`ModeEnum` | `getModeValue()` Returns the cell transparency mode.
`JRStyle` | `getStyle()` Returns this object's style.
`java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
`int` | `getWidth()` Returns the computed cell width.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup
`getChildren, getElementByKey, getElementGroup, getElements`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Field Detail

### defaultStyleProvider

    protected JRDefaultStyleProvider defaultStyleProvider

### style

    protected JRStyle style

### styleNameReference

    protected java.lang.String styleNameReference

### modeValue

    protected ModeEnum modeValue

### backcolor

    protected java.awt.Color backcolor

### lineBox

    protected JRLineBox lineBox

### width

    protected int width

### height

    protected int height

Constructor Detail

### JRBaseCellContents

    public JRBaseCellContents(JRCellContents cell,
                              JRBaseObjectFactory factory)

Method Detail

### getBackcolor

    public java.awt.Color getBackcolor()

  Description copied from interface: `JRCellContents`
  Returns the cell background color.

  The cell is filled with the background color only if the cell has opaque mode.

  Specified by:
    `getBackcolor` in interface `JRCellContents`
  Returns:
    the cell backcolor

### getBox

    public JRBox getBox()

  Deprecated. Replaced by `getLineBox()`

  Description copied from interface: `JRCellContents`
  Returns the cell border.

  Specified by:
    `getBox` in interface `JRCellContents`
  Returns:
    the cell border

### getLineBox

    public JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`

### getWidth

    public int getWidth()

  Description copied from interface: `JRCellContents`
  Returns the computed cell width.

  Specified by:
    `getWidth` in interface `JRCellContents`
  Returns:
    the computed cell width
  See Also:
    `JRCellContents.NOT_CALCULATED`

### getHeight

    public int getHeight()

  Description copied from interface: `JRCellContents`
  Returns the computed cell height.

  Specified by:
    `getHeight` in interface `JRCellContents`
  Returns:
    the computed cell height
  See Also:
    `JRCellContents.NOT_CALCULATED`

### getDefaultStyleProvider

    public JRDefaultStyleProvider getDefaultStyleProvider()

  Specified by:
    `getDefaultStyleProvider` in interface `JRStyleContainer`

### getStyle

    public JRStyle getStyle()

  Description copied from interface: `JRStyleContainer`
  Returns this object's style.

  Specified by:
    `getStyle` in interface `JRStyleContainer`
  Returns:
    this object's style

### getMode

    public java.lang.Byte getMode()

  Deprecated. Replaced by `getModeValue()`.

  Specified by:
    `getMode` in interface `JRCellContents`

### getModeValue

    public ModeEnum getModeValue()

  Description copied from interface: `JRCellContents`
  Returns the cell transparency mode.

  Specified by:
    `getModeValue` in interface `JRCellContents`
  Returns:
    `MODE_OPAQUE` or `MODE_TRANSPARENT`

### getStyleNameReference

    public java.lang.String getStyleNameReference()

  Description copied from interface: `JRStyleContainer`
  Returns the name of an external style which is to be used by this object.

  External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.

  Specified by:
    `getStyleNameReference` in interface `JRStyleContainer`
  Returns:
    the name of an external style

### getDefaultLineColor

    public java.awt.Color getDefaultLineColor()

  Specified by:
    `getDefaultLineColor` in interface `JRBoxContainer`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseElementGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com